Subject: 24.0.94; Caching '--dired' is a bad idea

From: Leo <[email-masked]>
Date: Mon, 12 Mar 2012 19:45:52 +0800

If I change insert-directory-program from one supports --dired to one
not, I can no longer open any directory in dired-mode. For example on
OSX, I have the `ls' from BSD and another one from GNU coreutils
installed as `gls', not to mention opening remote directories.

I think caching --dired switch in dired-use-ls-dired is a bad idea.

Leo